Katello - Bug #23921

Content host registration instructions recommends HTTPS over HTTP
06/13/2018 01:41 PM - Michael Johnson
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1585836

Description of problem:

The Content Host Registration page instructs users to use HTTPS and not HTTP to install katello-ca-consumer. This will result on an
error complaining that curl will not accept the ssl certificate.

Version-Release number of selected component (if applicable):
e satellite-6.4.0-9.beta.el7sat.noarch

How reproducible:

Steps to Reproduce:

1. Using the web ui, navigate to Hosts > Content Hosts

2. Click the Register Content Host

3. Look at the instructions for installing katello-ca-cert

Actual results:

Instructions recommend the use of HTTPS

Expected results:

Instructions should recommend the use of HTTP instead

Additional info:

Associated revisions

Revision 38623a1a - 07/06/2018 03:37 PM - Michael Johnson
Fixes #23921 - Change to HTTP

Adds CA to the host, then uses https.

Steps to Reproduce:

1. Using the web ui, navigate to Hosts > Content Hosts

2. Click the Register Content Host
3. Look at the instructions for installing katello-ca-cert

History

#1 - 06/13/2018 05:05 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7447 added
https://bugzilla.redhat.com/show_bug.cgi?id=1585836

#2 - 06/13/2018 05:43 PM - Justin Sherrill

- translation missing: en.field_release set to 338

#3 - 07/06/2018 04:01 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|38623a1a66b68cce54147bf0592291dbcab72bic.

#4 - 07/09/2018 02:29 PM - Brad Buckingham
- Target version changed from 1.3.1 to Katello 3.7.0

- Triaged set to No
